pango-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Used to represent a font in a rendering-system-independent matter. GLib.Object GLib.IWrapper System.IDisposable
- Method
  Pango.FontMetrics `` Gets overall metric information for a font. language tag used to determine which script to get the metrics for, or to indicate to get the metrics for the entire font. a new object. Since the metrics may be substantially different for different scripts, a language tag can be provided to indicate that the metrics should be retrieved that correspond to the script(s) used by that language.
- Method
  Pango.Coverage `` Computes the coverage map for a given font and language tag. the language tag a new
- Method
  Pango.EngineShape `` `` Finds the best matching shaper for a font for a particular language tag and character point. the language tag the ISO-10646 character code. the best matching shaper.
- Method
  Pango.FontDescription Returns a description of the font. a new
- Method
  System.Void `` `` `` Gets the logical and ink extents of a glyph within a font. the glyph index a used to store the extents of the glyph as drawn or to indicate that the result is not needed. a used to store the logical extents of the glyph or to indicate that the result is not needed. The coordinate system for each rectangle has its origin at the base line and horizontal origin of the character with increasing coordinates extending to the right and down. The units of the rectangles are in 1 / of a device unit.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Font, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  Protected constructor.
  a
  Default constuctor for children of this type.